# SPDX-FileCopyrightText: Red Hat, Inc.
# SPDX-License-Identifier: GPL-2.0-or-later

from __future__ import absolute_import
from __future__ import division

import os
import logging

from . import expose

_PRIVATE_TAG = "# VDSM PRIVATE"
log = logging.getLogger("storage.iscsi.conf")

@expose
def is_iscsi_conf_vdsm_private(ifaceName, portal, targetName):
    portalPath = portal.replace(":", ",")
    path = f"var/lib/iscsi/nodes/{targetName}/{portalPath}/{ifaceName}"
    if not os.path.exists(path):
        path = f"var/lib/iscsi/nodes/{targetName}/{portal}/{ifaceName}"
    if os.path.exists(path):
        try:
            with open(path) as f:
                lines = f.readlines()
                if len(lines) > 1 and lines[1].startswith(_PRIVATE_TAG):
                    return True
        except Exception as e:
            log.info(f"An unexpected error : {e} trying to open {path}")
    return False
